Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.cms
Class KeyTransRecipientInformation

    java.lang.Object
      |
      +--org.bouncycastle.cms.RecipientInformation
            |
            +--org.bouncycastle.cms.KeyTransRecipientInformation

public class KeyTransRecipientInformation
extends RecipientInformation

the RecipientInfo class for a recipient who has been sent a secret key encrypted using their public key that needs to be used to extract the message.

Field Summary

Fields inherited from class org.bouncycastle.cms.RecipientInformation
`rid`

Constructor Summary
`KeyTransRecipientInformation(KeyTransRecipientInfo info, EncryptedContentInfo data)`

Method Summary
`byte[]` | `getContent(java.security.Key key, java.lang.String prov)` decrypt the content and return it as a byte array.

Methods inherited from class org.bouncycastle.cms.RecipientInformation
`getRID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyTransRecipientInformation

    public KeyTransRecipientInformation(KeyTransRecipientInfo info,
                                        EncryptedContentInfo data)

Method Detail

### getContent

    public byte[] getContent(java.security.Key key,
                             java.lang.String prov)
                      throws CMSException,
                             java.security.NoSuchProviderException

  decrypt the content and return it as a byte array.

  Specified by:
    `getContent` in class `RecipientInformation`
    `CMSException`
    `java.security.NoSuchProviderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD